//parametros configurables*************************************************

class ActualDomoConfig: public DomoConfig
{
  public:
  ActualDomoConfig()
  {
    strcpy(ssidWifi,"192.168.2.50");
    strcpy(keyWifi,"Ardileorca1234.");
    
    strcpy(ideEsp,"Esp8266_002");
    strcpy(hostMQTT,"192.168.2.50");
    
    portMQTT=1883;
  }

  virtual void ConfigSens(MqttSensManager* sens)
  {
    
  }
};


#define ID_ESP "Esp8266_002"//indica id de esp (ha de ser unico por instalacion)
const char *topic_id="casa/Desp/";
const int seg_espera=30;//intervalo entre muestras de sensores
//parametros wifi---------------------------------------
const char* ssid = "Idhun";//nombre wifi
const char* password = "Ardileorca1234.";//key wifi
//paremetros mqtt---------------------------------------
const char* mqtt_server = "192.168.2.50";//servidor mqtt
//const char* mqtt_server = "192.168.1.61";//servidor mqtt
//const char* mqtt_server = "192.168.1.20";//servidor mqtt
const int   mqtt_puerto= 1883;//puerto servidor mqtt

const bool fuerza_graba=true;





ActualDomoConfig ConfiguracionActual;
